<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * [[機能説明]]
 *
 * @package     [[package名]]
 * @author      Your Name <mail@example.com>
 * @access      public
 */
class Admin_Moneymanage_Repaymentlist_Confirm
{
    var $money;       //テーブル操作
    var $repaymentlist; //出力用の変数
    
    var $checklist;
    
    var $title;
    var $pagename;

    // アクションチェイン
    var $actionChain;
    
    
    /**
     * [[機能説明]]
     *
     * @access  public
     */
    function execute()
    {
    	$log =& LogFactory::getLog();
        $log->debug("Admin_Moneymanage_Repaymentlist_Confirmが実行されました", "Admin_Moneymanage_Repaymentlist_Confirm#execute");

        $errorList =& $this->actionChain->getCurErrorList();
        
        if(!empty($this->checklist)) {
            $this -> repaymentlist = $this -> money -> getRepaymentList($this->checklist);
        } else {
        	$errorList -> add(1, "返済済みにする返金依頼にチェックをいれてください。");
        	$this -> repaymentlist = $this -> money -> getRepaymentList();
        	return 'input';
        }
        
        return 'success';
    }
    
}
?>
